Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

Patch Question

 
SOLVED
Go to solution
Homer Shoemaker
Frequent Advisor

Patch Question

I am trying to make sure that I install all the critical patches for my R2660 running version 8.3.

So I go to the Patch Database and search on INSTALL_1. Here I get a list of patches, some of which seem to be multple versions of the same patch. Am I safe in assuming that I need only install the latest versions?

For example, VMS83I_RMS-V0300, VMS83I_RMS-V0400, VMS83I_RMS-V0500, etc... thru VMS83I_RMS-V0800 show up on my list. Can I just install version -V0800 and forget about the earlier versions? Or are they necessary?
6 REPLIES
Phillip Thayer
Esteemed Contributor
Solution

Re: Patch Question

Homer,

All you need to install is the latest version. If you want you can verify this by looking at the supersedes information on the patch information and make sure. But normally, the latest version will include all the older version changes.

Phil
Once it's in production it's all bugs after that.
Homer Shoemaker
Frequent Advisor

Re: Patch Question

Good! That cuts the number of INSTALL_1 patches that I need to install in half. And greatly simplifies the dependencies chart.

Thanks.
Volker Halle
Honored Contributor

Re: Patch Question

Homer,

the best way is this:

look at the MASTER_ECO_LIST.TXT file for your version of OpenVMS.

Install the most recent UPDATE kit.

Then install all kits mentioned under the heading: ECO KITS NOT INCLUDED IN UPDATE KIT:

Sometimes one of those kits (e.g. PCSI) may be a requirement for installing the UPDATE kit, but most of the time, these are just more recent patches created after the UPDATE kit became available.

Volker.
Kumar_Sanjay
Regular Advisor

Re: Patch Question

I agree with Volker comment,

Please read the Documents of Path, I believe you will get all the necessary details about patch and their dependency.

Example...

ftp://ftp.itrc.hp.com/openvms_patches/alpha/V8.3/
Hoff
Honored Contributor

Re: Patch Question

While we're posting URLs, here is the OpenVMS Patch FAQ (from the fellow that has put together the OpenVMS ECO kits for many years):

http://64.223.189.234/node/348
Homer Shoemaker
Frequent Advisor

Re: Patch Question

Thank you, all. You put me on the right track. The place that I found the most useful for checking to be sure I had the required updates for the OS was the link below. It is often helpful, even when you think you're going in the right direction, to get confirmation. Thanks again.


http://www12.itrc.hp.com/service/patch/ovmsAggrKitPage.do?BC=main|ovmsAggrIndexPage|&aggrId=VMS83I_UPDATE-V0600